Bug 976254 - backup location incorrect, directory was renamed in update
backup location incorrect, directory was renamed in update
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.4
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Zac Dover
Zac Dover
Zac Dover
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 04:33 EDT by Bart van den Heuvel
Modified: 2014-03-25 03:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 00:37:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bart van den Heuvel 2013-06-20 04:33:50 EDT
Description of problem:

The Admin guide states a list of locations and files to backup so they can be restored once a failure has occurred. A directory is mentioned that seems to be renamed, it is correct in the 3.2 admin guide. 

Old name:
 /usr/share/ovirt-engine-reports/buildomatic 

New name:
/usr/share/jasperreports-server-pro/buildomatic/
 
Version-Release number of selected component (if applicable):
3.1 administration guide



How reproducible:
Open https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.1/html/Administration_Guide/Backing_up_and_restoring_Manager_configuration_files.html

See the tabel to find:
 /usr/share/ovirt-engine-reports/buildomatic 

Check on the RHEV manager install if the directory exists:
stat  /usr/share/ovirt-engine-reports/buildomatic 
stat: cannot stat `/usr/share/ovirt-engine-reports/buildomatic': No such file or directory

Check the 3.2 admin guide:
Open https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.2/html/Administration_Guide/Backing_up_and_restoring_Manager_configuration_files.html


See the tabel to find:
 /usr/share/ovirt-engine-reports/buildomatic 

Check on the RHEV manager install if the directory exists:
stat /usr/share/jasperreports-server-pro/buildomatic/
  File: `/usr/share/jasperreports-server-pro/buildomatic/'
  Size: 4096      	Blocks: 8          IO Block: 4096   directory
Device: fd00h/64768d	Inode: 134206      Links: 10
Access: (0755/drwxr-xr-x)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2013-06-20 10:10:28.488753808 +0200
Modify: 2013-06-19 16:42:33.423476622 +0200
Change: 2013-06-19 16:42:33.423476622 +0200


Actual results:
stat  /usr/share/ovirt-engine-reports/buildomatic 
stat: cannot stat `/usr/share/ovirt-engine-reports/buildomatic': No such file or directory


Expected results:
stat /usr/share/jasperreports-server-pro/buildomatic/
  File: `/usr/share/jasperreports-server-pro/buildomatic/'
  Size: 4096      	Blocks: 8          IO Block: 4096   directory
Device: fd00h/64768d	Inode: 134206      Links: 10
Access: (0755/drwxr-xr-x)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2013-06-20 10:10:28.488753808 +0200
Modify: 2013-06-19 16:42:33.423476622 +0200
Change: 2013-06-19 16:42:33.423476622 +0200

Additional info:
Customer base their backup scripts on this information, it is important that this is correct. Also the RHEV virtualisation training RH318 reefers to this page.
Comment 1 Zac Dover 2013-08-07 00:11:00 EDT
Cheryn,

This bug requests a change to RHEV 3.1 documentation.

I can make this change, but if I do so I want to do so in the open where everyone can see that we are changing 3.1 documentation.

I will await your decision.

Zac
Comment 2 Cheryn Tan 2013-08-07 00:37:36 EDT
Hi Bart and Zac,

Thank you for raising the bug. Unfortunately at this stage we're currently only making changes to 3.2 and 3.3 documentation, we do not have the resources (docs, QE, localization) to change the 3.1 documentation also. 

Cheryn

Note You need to log in before you can comment on or make changes to this bug.